package com.tencent.mm.plugin.sns.ui;

import android.content.Context;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.tencent.matrix.trace.core.AppMethodBeat;

public class SnsNotifyBanner extends RelativeLayout {
    private View WL;
    private LayoutInflater mInflater;
    private TextView ruS;
    private ImageView ruT;
    int ruU = 0;
    private a ruV;

    public interface a {
    }

    public SnsNotifyBanner(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        AppMethodBeat.i(39138);
        init();
        AppMethodBeat.o(39138);
    }

    public SnsNotifyBanner(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        AppMethodBeat.i(39139);
        init();
        AppMethodBeat.o(39139);
    }

    private void init() {
        AppMethodBeat.i(39140);
        this.mInflater = (LayoutInflater) getContext().getSystemService("layout_inflater");
        this.WL = this.mInflater.inflate(2130970785, this, true);
        this.ruS = (TextView) this.WL.findViewById(2131827814);
        this.ruT = (ImageView) this.WL.findViewById(2131827815);
        this.ruT.setOnClickListener(new 1(this));
        AppMethodBeat.o(39140);
    }

    public void setOnClickNotify(a aVar) {
        AppMethodBeat.i(39141);
        this.ruV = aVar;
        this.ruS.setOnClickListener(new 2(this));
        AppMethodBeat.o(39141);
    }
}
